package cn.com.qmth.stmms.biz.exam.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 选做题得分详情状态
 */
@Entity
@Table(name = "eb_selective_student")
public class SelectiveStudent implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -2163077169203698621L;

    @Id
    @Column(name = "student_id", nullable = false)
    private Integer studentId;

    /**
     * 考试ID
     */
    @Column(name = "exam_id", nullable = false)
    private Integer examId;

    /**
     * 科目代码
     */
    @Column(name = "subject_code", length = 32, nullable = false)
    private String subjectCode;

    @Column(name = "muti_selective", nullable = false)
    private Boolean mutiSelective;

    @Column(name = "less_selective", nullable = false)
    private Boolean lessSelective;
    @Column(name = "not_selective", nullable = false)
    private Boolean notSelective;
    
    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Boolean getMutiSelective() {
        return mutiSelective;
    }

    public void setMutiSelective(Boolean mutiSelective) {
        this.mutiSelective = mutiSelective;
    }

    public Boolean getLessSelective() {
        return lessSelective;
    }

    public void setLessSelective(Boolean lessSelective) {
        this.lessSelective = lessSelective;
    }

	public Boolean getNotSelective() {
		return notSelective;
	}

	public void setNotSelective(Boolean notSelective) {
		this.notSelective = notSelective;
	}

}
